// Namespace
var android = {};
var flag=false;
android.selection = {};


/**
 *	Clears the current selection.
 */
android.selection.clearSelection = function(){

	try{
		// if current selection clear it.
	   	var sel = window.getSelection();
	   	sel.removeAllRanges();
	}catch(err){
		window.TextSelection.jsError("clearSelection - " + err);
	}
};


/*
*getSelect text
*/

 android.selection._getSelectText = function() {
       try{
           // Show the context menu in app
	       android.selection.selectionChanged();
    	 }
    	 catch(err){
    	 	window.TextSelection.jsError("_getSelectText - " + err);
    	 }
 };



/**
 * click event
 */

 android.selection._click = function() {
	   try{
	        if(flag){
	           	window.TextSelection.hideView();
               flag=false;
	        }

    	 }
    	 catch(err){
    	 	window.TextSelection.jsError("clickEvent - " + err);
    	 }

};



/**
 *	Handles the long touch action by selecting the last touched element.
 */
android.selection.longTouch = function() {
     flag=true;
	 try{
	   	// Show the context menu in app
	   	android.selection.clearSelection();

	 }
	 catch(err){
	 	window.TextSelection.jsError("longTouch - " + err);
	 }

};


/**
 * Tells the app to show the context menu.
 */
android.selection.selectionChanged = function(){

	try{
        var html = "";
        if (typeof window.getSelection != "undefined") {
                var sel = window.getSelection();
                if (sel.rangeCount) {
                    var container = document.createElement("div");
                    for (var i = 0, len = sel.rangeCount; i < len; ++i) {
                        container.appendChild(sel.getRangeAt(i).cloneContents());
                    }
                    html = container.innerHTML;
                }
            } else if (typeof document.selection != "undefined") {
                if (document.selection.type == "Text") {
                    html = document.selection.createRange().htmlText;
                }
            }
	       window.TextSelection.selectionChanged(html);
	  }
	catch(err){
		window.TextSelection.jsError("selectionChanged - " + err);
	}
};



