/**
* 开户确认（问卷回访）
*/
define(function(require,exports,module){
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		  service = require("serviceImp").getInstance(), //业务层接口，请求数据
		  global = require("gconfig").global,
		  layerUtils = require("layerUtils"),
		  _pageId = "#account_openXjb";
	/* 私有业务模块的全局变量 end */
		
	function init()
	{
		
		
	}
	
	function bindPageEvent()
	{
		
		/*绑定右上角退出事件*/
		appUtils.bindEvent($(_pageId+" .header .btn-close"),function(){
			layerUtils.iConfirm("只需三分钟就能搞定网上开户,确定离开吗?",function(){
				var param = {
		 				"moduleName":"open",
		 				"funcNo":"50114",
		 				"params":{
		 				}
		 			};
				require("external").callMessage(param);
			},function(){},"离开","继续开户");
		});		
		
		appUtils.bindEvent($(_pageId+" .ct_btn a:eq(0) "),function(){
			appUtils.pageInit("account/openXjb","account/nowOpenXjb",{});  
		});
		
		/*不开通现金宝,跳转结果页*/
		appUtils.bindEvent($(_pageId+" .ct_btn a:eq(1)"),function(){
			appUtils.pageInit("account/openXjb","account/accountResult",{});
		});
	}
	
	function destroy()
	{
		service.destroy();
	}
	

	var openXjb = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = openXjb;
});