/**
* 风险测评结果
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		layerUtils = require("layerUtils"),
		_pageId = "#account_riskAssessmentResult";

	function init()
	{
		//设置按钮显示提示文字
		if(appUtils.getSStorageInfo("openChannel") == "change")
		{
			if(appUtils.getSStorageInfo("finance") == "finance")
			{
				$(_pageId+" .ct_btn a").html("下一步");  // 理财户
			}
			else
			{
				$(_pageId+" .ct_btn a").html("下一步");  // 转户
			}
		}
		else
		{
			$(_pageId+" .ct_btn a").html("下一步");  // 新开户
		}

		// 只有从 riskAssessment 跳转过来时，才设置页面的填充数据
		if(appUtils.getSStorageInfo("_prePageCode") == "account/riskAssessment")
		{
			var score  = appUtils.getPageParam("score");  //风险测评分数
			score = score?score:"--";
			var riskdesc = appUtils.getPageParam("riskdesc"); //风险等级描述
			var showStr = riskdesc;
			// 清空原有内容
			$(_pageId+" .risk_txt").html(showStr);
			$(_pageId+" .risk_score").html(score+"分");
		}
	}

	function bindPageEvent()
	{
		/*绑定右上角退出事件*/
		appUtils.bindEvent($(_pageId+" .header .btn-close"),function(){
			layerUtils.iConfirm("只需三分钟就能搞定网上开户,确定离开吗?",function(){
				var param = {
		 				"moduleName":"open",
		 				"funcNo":"50114",
		 				"params":{
		 				}
		 			};
				require("external").callMessage(param);
			},function(){},"离开","继续开户");
		});

		// 重新测评绑定事件
		appUtils.bindEvent($(_pageId+" .re_risk"),function(){
			appUtils.pageInit("account/riskAssessmentResult","account/riskAssessment",{});
		});

		/**
		 * 9.1
		 * 风险测评结果页面进入问卷回访页面
		 */
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			if(global.needConfirm)
			{
				appUtils.pageInit("account/riskAssessmentResult","account/openConfirm",{});
			}
			else
			{
				appUtils.pageInit("account/riskAssessmentResult","account/accountResult",{});
			}
		});
	}

	function destroy(){}

	var riskAssessmentResult = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = riskAssessmentResult;
});