/**
* 开通现金宝
*/
define(function(require,exports,module){
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		  service = require("serviceImp").getInstance(), //业务层接口，请求数据
		  global = require("gconfig").global,
		  layerUtils = require("layerUtils"),
		  _pageId = "#account_showXjbProtocol";
	/* 私有业务模块的全局变量 end */
		
	function init()
	{
		//填充协议
		$(_pageId+" .top_title p:eq(0)").text("");
		$(_pageId+" .xjb-open-agree p:eq(0)").text("");
		queryProtocolText();
	}
	
	function bindPageEvent()
	{
		
		/* 绑定返回事件 */
		appUtils.bindEvent($(_pageId+" .header .icon_back"),function(){
			appUtils.pageBack();
		});
		
		/*绑定右上角退出事件*/
		appUtils.bindEvent($(_pageId+" .header .btn-close"),function(){
			layerUtils.iConfirm("只需三分钟就能搞定网上开户,确定离开吗?",function(){
				var param = {
		 				"moduleName":"open",
		 				"funcNo":"50114",
		 				"params":{
		 				}
		 			};
				require("external").callMessage(param);
			},function(){},"离开","继续开户");
		});		
		
		/* 绑定返回事件 */
		appUtils.bindEvent($(_pageId+" .ct_btn a:eq(0) "),function(){
			appUtils.pageBack();
		});
		
	}
	
	/*获取协议内容*/
	function queryProtocolText()
	{
		//协议ID
		
		var protocol_id = appUtils.getSStorageInfo("xjbProtocol");
		var param = {
			"econtract_no" : protocol_id,
			"econtract_version":""
		}
		//查询协议内容
		service.getProtocolInfo(param,function(data){
			if(error_no = data.error_no)
			{
				$(_pageId+" .top_title p:eq(0)").text(data.results[0].econtract_name);
				$(_pageId+" .xjb-open-agree p:eq(0)").append(data.results[0].econtract_content);
				/*$(_pageId+" img").attr("src","images/dzqyBook.jpg");
				$(_pageId+" img").css({"width":"100%"});*/
			}
			else
			{
				layerUtils.iMsg(-1, data.error_info);
			}
		});
	}
	
	function destroy()
	{
		$(_pageId+" .top_title p:eq(0)").text("");
		$(_pageId+" .xjb-open-agree p:eq(0)").text("");
		service.destroy();
	}
	
	

	var showXjbProtocol = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports =  showXjbProtocol;
});