/**
* 开通现金宝
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		_pageId = "#account_signXjbProtocol";
	 layerUtils = require("layerUtils");
	  platform = require("gconfig").platform;
	function init(){


	}
	function bindPageEvent(){

		// 绑定返回
		appUtils.bindEvent($(_pageId+" .header .icon_back"),function(){
			appUtils.pageBack();
		});
		
		/*绑定右上角退出事件*/
		appUtils.bindEvent($(_pageId+" .header .btn-close"),function(){
			layerUtils.iConfirm("只需三分钟就能搞定网上开户,确定离开吗?",function(){
				var param = {
		 				"moduleName":"open",
		 				"funcNo":"50114",
		 				"params":{
		 				}
		 			};
				require("external").callMessage(param);
			},function(){},"离开","继续开户");
		});

		/*不开通现金宝,跳转结果页*/
		appUtils.bindEvent($(_pageId+" .ct_btn a:eq(0)"),function(){
			var className=$(_pageId+" .xjb-open-agree-ok span:eq(0)").attr("class");
			if(className=="active"){
				signXjbProtocolFun();
			}else{
				layerUtils.iAlert("请勾选协议！");
			}
		});

		//勾选框和按钮变灰特效
		var indexNum=1;
		appUtils.bindEvent($(_pageId+" .xjb-open-agree-ok span:eq(0) "),function(){
			if(indexNum%2==0){
				$(_pageId+" .xjb-open-agree-ok span:eq(0)").removeClass("active");
				$(_pageId+" .ct_btn a:eq(0)").addClass("ct-gray-btn");
			}else{
				$(_pageId+" .xjb-open-agree-ok span:eq(0) ").addClass("active");
				$(_pageId+" .ct_btn a:eq(0)").removeClass("ct-gray-btn");
			}
			indexNum++;
		});


		//把选中的协议编号存到缓存中
		appUtils.bindEvent($(_pageId+" .xjb-open-agree-confirm-detail  li:eq(0)"),function(){
			appUtils.setSStorageInfo("xjbProtocol","8630011");
			appUtils.pageInit("account/signXjbProtocol","account/showXjbProtocol",{});
		});
		appUtils.bindEvent($(_pageId+" .xjb-open-agree-confirm-detail  li:eq(1)"),function(){
			appUtils.setSStorageInfo("xjbProtocol","860000");
			appUtils.pageInit("account/signXjbProtocol","account/showXjbProtocol",{});
		});
		appUtils.bindEvent($(_pageId+" .xjb-open-agree-confirm-detail  li:eq(2)"),function(){
			appUtils.setSStorageInfo("xjbProtocol","8630013");
			appUtils.pageInit("account/signXjbProtocol","account/showXjbProtocol",{});
		});
		appUtils.bindEvent($(_pageId+" .xjb-open-agree-confirm-detail  li:eq(3)"),function(){
			appUtils.setSStorageInfo("xjbProtocol","8630014");
			appUtils.pageInit("account/signXjbProtocol","account/showXjbProtocol",{});
		});

	}

function signXjbProtocolFun(){

		var signXjbParam = {
				user_id : appUtils.getSStorageInfo("user_id"),
				mobile_no:appUtils.getSStorageInfo("mobileNo"),
				mac:appUtils.getSStorageInfo("mac"),
				mobile_channel:platform
			};

		service.getSignXjbResult(signXjbParam,function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;

			if(error_no == 0)
			{
				appUtils.pageInit("account/signXjbProtocol","account/riskShowXjb",{});
			}
			else
			{
				layerUtils.iAlert(error_info,-1,function(){
					appUtils.pageInit("account/signXjbProtocol","account/accountResult",{});
				});
			}
		});
	}


	function destroy(){

		service.destroy();
	}

	var signXjbProtocol = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	module.exports = signXjbProtocol;
});