/**
 * 三方存管
 */
define(function(require, exports, module){
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		platform = require("gconfig").platform,
		service = require("serviceImp").getInstance(),  // 业务层接口，请求数据
		layerUtils = require("layerUtils"),
		utils = require("utils"),
		validatorUtil = require("validatorUtil"),
		KeyPanel = require('keyPanel'),
		gconfig = require("gconfig"),
		zzispwd = 1,  // zzispwd	密码方式，1 需要，0 不需要
		iscard = 1,  // iscard	是否需要银行卡，1 需要，0 不需要
		protocol = null,  // 协议保存
		cert_type = appUtils.getSStorageInfo("openChannel") == "new" ? "zd" : "zd", // tw:天威 zd:中登
		_pageId = "#account_thirdDepository";
	var external = require("external");
	var channelInfo = global.channelInfo;		//版本信息
//	var myKeyPanel = null;
//	var isClosed = true;//键盘是否关闭
	/* 私有业务模块的全局变量 end */

	function init()
	{
		//myKeyPanel = new KeyPanel();
		//var isClosed = true;//键盘是否关闭
		//$(_pageId+" .input_custom").click(function(){$(this).addClass("active")});
		//判断是否需要证书
		if(appUtils.getSStorageInfo("flag") == "1"){

			initPage();  // 初始化页面并检测证书是否存在
		}else{
			getBankList();	//加载银行
		}
	}

	function bindPageEvent(){

		/*绑定右上角退出事件*/
		appUtils.bindEvent($(_pageId+" .header .btn-close"),function(){
			layerUtils.iConfirm("只需三分钟就能搞定网上开户,确定离开吗?",function(){
				var param = {
		 				"moduleName":"open",
		 				"funcNo":"50114",
		 				"params":{
		 				}
		 			};
				require("external").callMessage(param);
			},function(){},"离开","继续开户");
		});
		/* 返回 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(e){
			appUtils.pageInit("account/thirdDepository","account/setPwd");
			e.stopPropagation();	// 阻止冒泡
		});

		/* 点击页面隐藏键盘 */
		appUtils.bindEvent($(_pageId), function(e) {
			utils.closeBigNoTips();	//关掉放大镜
			$(_pageId+" #bankListPage").slideUp("fast"); // 隐藏银行卡列表
			var param = {
				"funcNo" : "50211",
				"moduleName" : "common"
			};
			external.callMessage(param);
			if (zzispwd == "1") {
				$(_pageId + " #bankcardPwd").parent().show(); // 显示不带光标密码框
				$(_pageId + " .input_form ").find(".cusor").hide();
			}
			e.stopPropagation(); // 阻止冒泡
		});

		/* 签署银行相关协议 */
		appUtils.bindEvent($(_pageId+" .rule_check a"),function(){
			$(this).toggleClass("checked");
		});


		/* 选择银行绑定下拉框按钮事件 */
		appUtils.bindEvent($(_pageId + " #selectBank"), function(e) {
			// $(_pageId+" .input_custom").removeClass("active"); // 移除输入框的焦点
			utils.closeBigNoTips(); // 关掉放大镜
			// 若为标准版或者雪球版本则绑定下拉
			if (channelInfo == "3" || channelInfo == "7") {

				$(_pageId + " #bankListPage ul li").removeClass("active");
				$(_pageId + " #bankListPage").slideDown("fast"); // 显示银行下拉列表
			}

			var param = {
				"funcNo" : "50211",
				"moduleName" : "common"
			};
			external.callMessage(param);
			if (zzispwd == "1") {
				$(_pageId + " #bankcardPwd").parent().show(); // 显示不带光标密码框
				$(_pageId + " .input_form ").find(".cusor").hide();
			}
			// if(!isClosed){
			// myKeyPanel.close();// 关闭 js 键盘
			// }
			e.stopPropagation(); // 阻止冒泡
		});

		/* 选择银行卡绑定选择某银行事件 */
		appUtils.bindEvent($(_pageId+" #bankcard"),function(e){
//			$(_pageId+" .input_custom").removeClass("active");   // 移除输入框的焦点
			validateSelectBank(); // 验证是否选择银行卡

			var param = {
					"funcNo" : "50211",
					"moduleName" : "common"
				};
				external.callMessage(param);
				if (zzispwd == "1") {
					$(_pageId + " #bankcardPwd").parent().show(); // 显示不带光标密码框
					$(_pageId + " .input_form ").find(".cusor").hide();
				}
//			if(!isClosed){
//				myKeyPanel.close();// 关闭 js 键盘
//			}
			e.stopPropagation();  // 阻止冒泡
		});

        /* 银行密码输入框 */
		appUtils.bindEvent($(_pageId + " #bankcardPwd"), function(e) {
			utils.dealIPhoneMaxLength(this, 6); // 处理iphone兼容
			if (validateSelectBank()) {
				var _sel = $(this);
				window.customKeyboardEvent = {
					keyBoardFinishFunction : function() {
						$(_sel).parent().next().hide();
						$(_sel).parent().show();
						// console.log("liuting"+$(this).val(s));
					},
					// 原生键盘回调
					keyBoardInputFunction : function(keyCode) {
						if (keyCode == "-4") {
							$(_sel).parent().next().hide();
							$(_sel).parent().show();
						} else {
							var i = $(_sel).val().length;
							$(_sel).parent().next().find("em").html(
									"••••••".substring(0, i));
						}

					}
				};
				utils.dealIPhoneMaxLength(this, 6); // 处理iphone兼容
				var eleName = _pageId + " #bankcardPwd";
				var topHeight = $(this).offset().top
						+ $(this).parent().height(); // 当前元素到顶部的高度
				var bodyHeight = $(document.body).height(); // 当前body的高度
				var pwsdParam = {
					"isShow" : true,
					"oldPwd" : $(this).val(),
					"maxLength" : 6,
					"eleName" : eleName
				};
				var param = {
					"funcNo" : "50210",
					"moduleName" : "open",
					"pageId" : "account_thirdDepository",
					"eleId" : $(this).attr("id"),
					"doneLable" : "完成",
					"keyboardType" : "3",
					"source" : "open"
				};
				external.callMessage(param);
				// require("shellPlugin").callShellMethod("softKeyboardPlugin",function(data){
				// 解决弹出键盘遮挡输入框的情况
				$(this).parent().hide();
				$(this).parent().next().show();
				$(this).parent().next().find(".sim_text").addClass("active");

			}
			e.stopPropagation(); // 阻止冒泡
		});

		/* 密码框绑定失去焦点事件 */
		appUtils.bindEvent($(_pageId+" #bankcard"),function(){
			validateBankcard($(this).val());
		},"input");
		/* 密码框绑定失去焦点事件 */
		appUtils.bindEvent($(_pageId+" #bankcardPwd"),function(){
			validatePassword($(this));
		},"input");

		/* 开通三方存管按钮绑定事件 */
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			if(validateSelectBank()){
				signProtocol();  // 提交验签，并且提交三方存管信息
			}
		});
	}

	function validateBankcard(vals){
		//var vlas_no=vals.replace(/[\s]/g, '').replace(/(\d{4})(?=\d)/g, "$1 ");
		if(vals.length>19){
			layerUtils.iAlert("银行卡号最多19位！",-1);
			vals=vals.substr(0,19);
			//vals.substr(vals.length-1);
		}
		$(_pageId+" #bankcard").val(vals);
		utils.showBigNo($(_pageId+" #bankcard"),2);  // 调用放大镜插件
		//$(".xubox_main").parent().css("margin-left","90px")
		//$(_pageId+" #input_text_bankcard_keyboard").find("em").html(vals);
	}
	function destroy()
	{
		$(_pageId+" input").val("");  // 把所有的input置空
		service.destroy();
//		if(!isClosed){
//			myKeyPanel.close();// 关闭 js 键盘
//		}
	}

	/* 初始化页面 */
	function initPage()
	{
		layerUtils.iLoading(true);  // 开启等待层。。。
		// 本页面需要用到证书，如果进入本页面时，证书不存在就下载并安装证书
		var existsParam = {
			"userId" : appUtils.getSStorageInfo("user_id"),
			"mediaId" : "certificate",
			"type" : cert_type,
			"funcNo": "60000"
		};
	   var result = external.callMessage(existsParam);
       var error_no = result.error_no;
//       if(platform == "1") {
//    	   //var result = JSON.parse(result);
//	       error_no = result.error_no;
//       } else if (platform == "2") {
//       	 error_no = result.error_no;
//       	// var result = result.results[0];
//       }
		if (error_no == "0" && result.results[0].mediaId == "") {
			utils.installCertificate(getBankList);  // 下载安装证书，并且显示证券账户和协议
		} else {
		// 关闭等待层。。。
			layerUtils.iLoading(false);
			getBankList(); //加载银行列表
		}
		//密码键盘不是从底部弹出问题
		$(_pageId+" .main").css({"height":(gconfig.appHeight)+"px","position":"relative","overflow-y":"auto"});
	}

	/* 获取存管银行列表 */
	function getBankList()
	{
		var queryParam = {"bindtype" : "", "ispwd" : ""};
		service.queryBankList(queryParam,function(data){
			var errorNo = data.error_no;
			var errorInfo = data.error_info;
			$(_pageId+" .sel_list ul").html("");  // 清除页面的银行列表
			if(errorNo==0 && data.results.length != 0)
			{
				var bankJson = {};	//银行信息保存

				var results = data.results;
				var length = results.length;
				var itemElement = "";
				if(appUtils.getSStorageInfo("banktype")){
					for(var i =0; i<length; i++){
						var item = results[i],
					   		  bankcode = item.bankcode,  // 银行代码
							  bankname = item.bankname,  // 银行名称
							  zzbindtype = item.zzbindtype, // 绑定方式：1 一步式 2 预指定 3 同时支持两种方式
						      sortnum  = item.sortnum,  // 排序
						      smallimg = item.smallimg, // 图标
						      isbuffet = item.isbuffet, // 是否支持自助
						      sign_info = item.sign_info, // 提示信息简介
						      brief = item.brief; // 银行简介
					    zzispwd = item.zzispwd; // 密码方式：1 需要 0 不需要
					    iscard = item.iscard; // 卡号方式：1 需要 0 不需要

					    //如果设置过银行 进入页面时选中银行
					    if(bankcode == appUtils.getSStorageInfo("bankcode")){
					    	addBankItem(bankname,bankcode,zzbindtype,sign_info,iscard,brief);
					    }
					    if(bankcode==appUtils.getSStorageInfo("banktype")){
					    	itemElement += "<li><span brief='"+brief+"' bankname='"+bankname+"' id='"+bankcode+"' " +"zzispwd=\""+zzispwd+"\""+
					    	"iscard=\""+iscard+"\"  zzbindtype=\""+zzbindtype+"\" sign-info=\""+sign_info+"\">"+bankname+"</span></li>";
					    }
					}
				}else{
					for(var i =0; i<length; i++){
						var item = results[i],
					   		  bankcode = item.bankcode,  // 银行代码
							  bankname = item.bankname,  // 银行名称
							  zzbindtype = item.zzbindtype, // 绑定方式：1 一步式 2 预指定 3 同时支持两种方式
						      sortnum  = item.sortnum,  // 排序
						      smallimg = item.smallimg, // 图标
						      isbuffet = item.isbuffet, // 是否支持自助
						      sign_info = item.sign_info, // 提示信息简介
						      brief = item.brief; // 银行简介
					    zzispwd = item.zzispwd; // 密码方式：1 需要 0 不需要
					    iscard = item.iscard; // 卡号方式：1 需要 0 不需要

					    //如果设置过银行 进入页面时选中银行
					    if(bankcode == appUtils.getSStorageInfo("bankcode")){
					    	addBankItem(bankname,bankcode,zzbindtype,sign_info,iscard,brief);
					    }

						//若为光大银行版本
						if(channelInfo == "9" && bankcode == "0700"){

							bankJson.id = bankcode;	//银行代码
							bankJson.bankname = bankname;	//银行名称
							bankJson.zzbindtype = zzbindtype;	//一步式、二步式
							bankJson.signInfo = sign_info;	//
							bankJson.zzispwd = item.zzispwd;	//是否显示密码框
							bankJson.iscard = iscard;
							bankJson.brief = brief;
						}
						//工商版本
						if(channelInfo == "6" && (bankcode == "300" || bankcode == "0300")){

							bankJson.id = bankcode;	//银行代码
							bankJson.bankname = bankname;	//银行名称
							bankJson.zzbindtype = zzbindtype;	//一步式、二步式
							bankJson.signInfo = sign_info;	//
							bankJson.zzispwd = item.zzispwd;	//是否显示密码框
							bankJson.iscard = iscard;
							bankJson.brief = brief;
						}

						//建行版本，一步式
						if(channelInfo == "1" && (bankcode == "200" || bankcode == "0200")){

							bankJson.id = bankcode;	//银行代码
							bankJson.bankname = bankname;	//银行名称
							bankJson.zzbindtype = zzbindtype;	//一步式、二步式
							bankJson.signInfo = sign_info;	//
							bankJson.zzispwd = item.zzispwd;	//是否显示密码框
							bankJson.iscard = iscard;
							bankJson.brief = brief;
						}

						//中国银行版本
						if(channelInfo == "4" && bankcode == "0600"){

							bankJson.id = bankcode;	//银行代码
							bankJson.bankname = bankname;	//银行名称
							bankJson.zzbindtype = zzbindtype;	//一步式、二步式
							bankJson.signInfo = sign_info;	//
							bankJson.zzispwd = item.zzispwd;	//是否显示密码框
							bankJson.iscard = iscard;
							bankJson.brief = brief;
						}
						itemElement += "<li><span brief='"+brief+"' bankname='"+bankname+"' id='"+bankcode+"' " +"zzispwd=\""+zzispwd+"\""+
										            "iscard=\""+iscard+"\"  zzbindtype=\""+zzbindtype+"\" sign-info=\""+sign_info+"\">"+bankname+"</span></li>";
					}
				}
				$(_pageId+" .sel_list ul").html(itemElement);
				if((appUtils.getSStorageInfo("_prePageCode") == "account/showProtocol") || (appUtils.getSStorageInfo("_prePageCode") == "account/thirdDepository")){
					var bankNum = appUtils.getSStorageInfo("bankNum");
					var bankPwd = appUtils.getSStorageInfo("bankPwd",true);
					console.log(bankNum + "~~~~~~~~~~~~" + bankPwd);
					iscard = $(_pageId+" #selectBank").attr("iscard");
					$(_pageId+" #bankcard").val(bankNum);
					$(_pageId+"  #bankcardPwd").val("");// 清空密码
					var countSum = "";
					if(bankPwd != null && bankPwd != undefined)
					{
						for(var i=0;i<bankPwd.length; i++){
							countSum +="*";
						}
						//$(_pageId+"  #bankcardPwd").val(countSum);  // 回显密码
					}
				}
				// 选择银行添加银行事件
				appUtils.bindEvent($(_pageId+" #bankListPage ul li span"),function(e){
					$(_pageId+" #bankListPage ul li").removeClass("active");
					$(this).parent().addClass("active");
					$(_pageId+" .protocolshow").show();
					var banckName = $(this).attr("bankname"),
						  id = $(this).attr("id"),
						  zzbindtype = $(this).attr("zzbindtype"),  // 绑定方式
						   brief = $(this).attr("brief"),
						  signInfo = $(this).attr("sign-info");  // 提示信息
				    zzispwd = $(this).attr("zzispwd");  // 密码方式
				    iscard = $(this).attr("iscard");  // 是否需要银行卡号
					addBankItem(banckName,id,zzbindtype,signInfo,iscard,brief);
					e.stopPropagation();
				});

				//如果为光大、工商版本
				if(channelInfo !="3" && channelInfo != "7" && bankJson.zzispwd){
					setTimeout(function(){
						zzispwd = bankJson.zzispwd;	//是否显示密码框
						addBankItem(bankJson.bankname,bankJson.id,bankJson.zzbindtype,bankJson.signInfo,bankJson.iscard,bankJson.brief);
						$(_pageId+" .protocolshow").show();	//显示协议
					},"600");
				}

			}
			else
			{
				layerUtils.iAlert(errorInfo,-1);
			}
		},true,true,handleTimeout);
	}

	/* 处理请求超时 */
	function handleTimeout()
	{
		layerUtils.iConfirm("请求超时，是否重新加载？",function(){
			getBankList();  // 再次获取银行列表
		});
	}

	/* 为选择银行列表添加选中银行数据 */
	function addBankItem(banckName,id,zzbindtype,signInfo,iscard,brief)
	{
		// 显示银行的签约信息
		if(signInfo != "" && signInfo != undefined)
		{
			$(_pageId+" #signInfo").html("温馨提示: "+signInfo);
		}
		else
		{
			$(_pageId+" #signInfo").html("");
		}
//		$(_pageId+" #input_text_bankcard").find("em").html("请输入银行卡号");  // 清空银行卡号值
		$(_pageId+" #bankcard").val(""); // 清空银行卡
		$(_pageId+"  #bankcardPwd").val("");// 清空密码
//		$(_pageId+"  #input_text_pass").find("em").html("请输入6位数字银行密码");  // 清空密码
		$(_pageId+" #selectBank").html(banckName);  // 赋值银行卡名称
		$(_pageId+" #selectBank").attr("bankcode",id);
		$(_pageId+" #selectBank").attr("iscard",iscard);
		$(_pageId+" #selectBank").attr("zzbindtype",zzbindtype);
		getDepositoryAgreement(id);  // 获取银行协议内容

		if(channelInfo == "6"){

			$(_pageId+" .user_form .input_form:eq(1)").hide();  // 隐藏银行卡、密码输入框
		}else{
			if(zzbindtype == 1)   // 判断一步式
			{
				if(zzispwd == 0)  // 不需要输入密码
				{
					$(_pageId+" #bankcardPwd").parent().hide();  // 隐藏银行密码输入框
				}
				else   // 需要输入密码
				{
					$(_pageId+" #bankcardPwd").parent().show();  // 显示银行密码输入框
				}
				$(_pageId+" .user_form .input_form:eq(1)").show();  // 显示银行卡、密码输入框
				$(_pageId+" #bindInfo").hide();  // 隐藏预指定提示信息
			}
			if(zzbindtype == 2)  // 判断预指定(二步式)
			{
				if(iscard == 1)  // 需要银行卡
				{
					$(_pageId+" .user_form .input_form:eq(1)").show();  // 显示银行卡
					$(_pageId+" .user_form .input_form:eq(1) .input_text:eq(1)").hide();  // 隐藏密码
				}
				else // 不需要银行卡
				{
					$(_pageId+" .user_form .input_form:eq(1)").hide();  // 隐藏银行卡、密码输入框
				}
				$(_pageId+" #bindInfo").show();  // 显示预指定提示信息
			}
		}
		$(_pageId+" #bindInfo").html(brief);
		$(_pageId+" #bindInfo").show();  // 显示预指定提示信息
		$(_pageId+" #bankListPage").slideUp("fast");  // 隐藏银行下拉列表

	}

	/* 签署协议 */
	function signProtocol()
	{
		iscard = $(_pageId + " #selectBank").attr("iscard");

		if($(_pageId+" #bankcard").val().length<16){
			layerUtils.iMsg(-1,"银行卡号格式有误，请重新输入！");
			return false;
		}

		//非工商银行时，校验
		if(channelInfo != "6"){

			if((iscard == 1 || iscard == "") && !validateBankCorrect())  // 验证银行卡号
			{
				return false;
			}
			//密码框显示的时候才校验密码
			if($(_pageId+" #bankcardPwd").parent().css("display") != "none"){

				if(zzispwd == 1)  // 验证是否需要密码
				{
					if(!validateBankPwd())
					{
						return false;
					}
				}
			}

		}else{
			$(_pageId+" #bankcard").val("");	//清空银行卡号
		}

		if(!validateDepositProtocolSelect())  // 验证是否勾选协议
		{
			return false;
		}


		// 进行协议签署
		var protocolArray = new Array(),  // 协议数组
			userid = appUtils.getSStorageInfo("user_id"),
			ipaddr  = appUtils.getSStorageInfo("ip"),
			macaddr = appUtils.getSStorageInfo("mac"),
			protocolid = protocol.econtract_no,
			protocolname = protocol.econtract_name,
			summary = protocol.econtract_md5,  // 协议内容MD5,签名摘要信息
			signParam = {
				"mediaId":protocolid,
				"content":summary,
				"userId":userid,
				"type": cert_type,
				"funcNo": "60001"
			};
		//判断是否需要证书
		if(appUtils.getSStorageInfo("flag") != "1"){
			var protocolParam = {
					"protocol_id" : protocolid,
					"summary" : summary,
					"userId":userid,
					"type": "zd"
			};
			protocolArray.push(protocolParam);   // 添加值到数组中
				// 签署协议
			var signProtocolParam = {
				"user_id" : userid,
				"jsondata" : JSON.stringify(protocolArray),
				"ipaddr" : ipaddr,
				"macaddr" : macaddr
			};
				// 新开中登验签
			if(appUtils.getSStorageInfo("openChannel") == "new")
			{
				service.queryOpenCheckSign(signProtocolParam,postThirdDepositoryData,false);
			}
				// 转户天威验签
			else if(appUtils.getSStorageInfo("openChannel") == "change")
			{
				service.queryOpenCheckSign(signProtocolParam,postThirdDepositoryData,false);
			}
			//不验签协议，直接提交三方
			//postThirdDepositoryData();
			return false;
		}

		layerUtils.iLoading(true);  // 开启等待层......
		// 获取协议的数字签名值
//		require("shellPlugin").callShellMethod("signPlugin",function(data){
//			var protocoldcsign = data.ciphertext;  // 数字签名值
//			var protocolParam = {
//				"protocol_id" : protocolid,
//				"protocol_dcsign" : protocoldcsign,
//				"summary" : summary
//			};
//			protocolArray.push(protocolParam);   // 添加值到数组中
//			// 签署协议
//			var signProtocolParam = {
//				"user_id" : userid,
//				"jsondata" : JSON.stringify(protocolArray),
//				"ipaddr" : ipaddr,
//				"macaddr" : macaddr
//			};
//			// 新开中登验签
//			if(appUtils.getSStorageInfo("openChannel") == "new")
//			{
//				service.queryOpenCheckSign(signProtocolParam,postThirdDepositoryData,false);
//			}
//			// 转户天威验签
//			else if(appUtils.getSStorageInfo("openChannel") == "change")
//			{
//				service.queryOpenCheckSign(signProtocolParam,postThirdDepositoryData,false);
//			}
//		},function(){ layerUtils.iLoading(false); },signParam);
		var result = external.callMessage(signParam);
        var error_no = result.error_no;
	       	result = result.results[0];
       //android
//       if(platform == "1"){
//    	   //var result = JSON.parse(result);
//	       error_no = result.error_no;
//	       result = result.results[0];
//       }
//       //ios
//       if(platform == "2"){
//	       error_no = result.error_no;
//	       result = result.results[0];
//       }
       if(error_no == "0") {
    	   	var protocoldcsign = result.cipherText;
//            if(platform == "1"){
//                var protocoldcsign = result.cipherText;
//            }else  if(platform == "2"){
//                var protocoldcsign = result.cipherText;
//            }
			var protocolParam = {
				"protocol_id" : protocolid,
				"protocol_dcsign" : protocoldcsign,
				"summary" : summary
			};
			protocolArray.push(protocolParam);   // 添加值到数组中
			// 签署协议
			var signProtocolParam = {
				"user_id" : userid,
				"jsondata" : JSON.stringify(protocolArray),
				"ipaddr" : ipaddr,
				"macaddr" : macaddr
			};
			// 新开中登验签
			if(appUtils.getSStorageInfo("openChannel") == "new")
			{
				service.queryOpenCheckSign(signProtocolParam,postThirdDepositoryData,false);
			}
			// 转户天威验签
			else if(appUtils.getSStorageInfo("openChannel") == "change")
			{
				service.queryOpenCheckSign(signProtocolParam,postThirdDepositoryData,false);
			}
		} else {
			layerUtils.iLoading(false);  // 关闭等待层
		}

	}

	/* 提交三方存管银行数据 */
	function postThirdDepositoryData()
	{
		service.getRSAKey({}, function(data) {
			if( data.error_no==0)	//请求获取rsa公钥成功
			{
				//密码采用rsa加密
				var results = data.results[0];
				var modulus = results.modulus;
				var publicExponent =  results.publicExponent;
				var endecryptUtils = require("endecryptUtils");

				//密码为空时
				if(!$(_pageId+"  #bankcardPwd").val()){

					$(_pageId+"  #bankcardPwd").val("");	//清空
				}

				//卡号清空
				if($(_pageId+" #bankcard").val() == ""){

					$(_pageId+" #bankcard").val("");	//清空账号
				}


				var bankpwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, $(_pageId+"  #bankcardPwd").val().trim());
				var userid = appUtils.getSStorageInfo("user_id");
				var bankcode= $(_pageId+" #selectBank").attr("bankcode");
				var bankaccount = $(_pageId+" #bankcard").val();
				var thirdDepositParam = {
					"user_id":userid,
					"acct_clientid":"",
					"acct_fndacct":"",
					"bank_code":bankcode,
					"bank_account":bankaccount,
					"bank_pwd":bankpwd,
					"op_type":$(_pageId+" #selectBank").attr("zzbindtype")
				};
				// 调用service绑定存管银行
				service.bindBank(thirdDepositParam,function(data){
					var errorNo = data.error_no;
					var errorInfo = data.error_info;
					if(errorNo==0)	 // 调用成功,跳转到风险测评页面
					{
						cleanPageElement();
						appUtils.setSStorageInfo("bankcode",bankcode);
						appUtils.pageInit("account/thirdDepository","account/riskAssessment",{});
					}
					else
					{
						layerUtils.iLoading(false);
						layerUtils.iAlert(errorInfo,-1);
					}
				},false);
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iAlert(data.error_info);
			}
		}, false);
	}

	/* 验证是否选择银行  */
	function validateSelectBank()
	{
		var obj = $(_pageId+" #selectBank");
		var value = obj.html();
		if(validatorUtil.isEmpty(value)||value=="请选择银行")
		{
			layerUtils.iMsg(-1,"请选择银行");
//			if(!isClosed){
//				myKeyPanel.close();// 关闭 js 键盘
//			}
			return false;
		}
		return true;
	}

	/* 检验银行卡填写是否正确 */
	function validateBankCorrect()
	{
		var bankcard =$(_pageId+" #bankcard").val();
		if(bankcard == "")  // 验证通过的情况
		{
			layerUtils.iMsg(-1,"银行卡号不能为空！");
			return false;
		}
		if(!utils.isBankCode(bankcard))
		{
			layerUtils.iMsg(-1,"银行卡号格式有误，请重新输入！");
			return false;
		}
		return true;
	}

	/* 验证密码 6位数字 */
	function validatePassword(obj)
	{

		var password = obj.val();
		password = password.toString();
		if(password.length == 6){
			/**
			 * 增加弱密校验
			 * 1、出生日期的一部分
			 * 2、证件号码的一部分
			 * 3、某一字符出现的概率不能占总长度的一半以上
			 * 4、顺序递增或者递减
			 * 5、弱密表的控制值
			 * 6、移动电话的一部分
			 * 7、固定电话的一部分
			 */
//			var idCardNo = appUtils.getSStorageInfo("idCardNo")?appUtils.getSStorageInfo("idCardNo"):"",
//				mobileNo = appUtils.getSStorageInfo("mobileNo")?appUtils.getSStorageInfo("mobileNo"):"";
//			// 判断某一字符出现的次数
//			for(var i=0;i<password.length;i++)
//			{
//				var oneChar = password.charAt(i),
//					count = 0;
//				var firstPosition = 0;
//				for(var j=0;j<password.length;j++)
//				{
//					if(oneChar == password.charAt(j))
//					{
//						count++;
//					}
//				}
//				if(count >= 3)
//				{
//					layerUtils.iAlert("密码中&nbsp;"+oneChar+"&nbsp;出现的次数超过了三次！",-1);
//					// 将密码清除
//					obj.find("em").html("")
//				obj.attr("value","");
//					return false;
//				}
//
//			}
//			// 判断顺序递增或者递减
//			var orderArray = [012345,123456,234567,345678,456789,987654,876543,765432,654321,543210];
//			if(orderArray.indexOf(password) != -1)
//			{
//				layerUtils.iAlert("密码不能是顺序递增或者递减！",-1);
//				// 将密码清除
//				obj.find("em").html("")
//				obj.attr("value","");
//				return false;
//			}
//			//判断弱密码库
//			var weakpwdArr=['111111','222222','333333','444444','555555','666666','777777','888888','999999','101010','202020','303030',
//						'404040','505050','606060','707070','808080','909090','101010','121212','131313','141414','151515','161616',
//						'171717','181818','191919','202020','212121','232323','242424','252525','262626','272727','282828','292929',
//						'303030','313131','323232','343434','353535','363636','373737','383838','393939','404040','414141','424242',
//						'434343','454545','464646','474747','484848','494949','505050','515151','525252','535353','545454','565656',
//						'575757','585858','595959','606060','616161','626262','636363','646464','656565','676767','686868','696969',
//						'707070','717171','727272','737373','747474','757575','767676','787878','797979','808080','818181','828282',
//						'838383','848484','858585','868686','878787','898989','909090','919191','929292','939393','949494','959595',
//						'969696','979797','989898','123412','234523','345634','456745','567856','678967','123012','123123','234234',
//						'345345','456456','567567','678678','789789','112233','111222','123412','123443','234567','123456','876543',
//						'111122','222233','333344','444455','555566','666677','777788','888899','999900','111111','111122','111133',
//						'111144','111155','111166','111177','111188','111199','111100'];
//			if(weakpwdArr.indexOf(password) != -1)
//			{
//				layerUtils.iAlert("请勿输入简单组合的密码！",-1);
//				// 将密码清除
//				obj.find("em").html("")
//				obj.attr("value","");
//				return false;
//			}
		}else if(password.length > 6){
			password=password.substr(0,6);
			$(_pageId+"  #bankcardPwd").val(password);
//			$(_pageId+"  #bankcardPwd").parent().next().find("em").html(
//					"••••••".substring(0, i));
			//$(_pageId+"  #input_text_pass1_keyboard").find("em").html("******");
		}
	}

	/* 验证银行密码 */
	function validateBankPwd()
	{
		var cardPwd = $(_pageId+"  #bankcardPwd").val();  //银行卡密码
		if(!validatorUtil.isNumeric(cardPwd) || cardPwd.length !=6)
		{
			layerUtils.iMsg(-1,"银行卡密码有误，请重新输入！");
			return false;
		}
		return true;
	}

	/* 检测勾选阅读协议 */
	function validateDepositProtocolSelect()
	{
		if(!$(_pageId+" .icon_check").hasClass("checked"))
		{
			layerUtils.iMsg(-1,"请阅读并勾选三方存管协议!");
			return false;
		}
		return true;
	}

	/* 获取存管银行签约电子协议列表 */
	function getDepositoryAgreement(bankcode)
	{
		$(_pageId+" #protocolName").html("");  // 清空协议
		// 调用service查询存管银行协议
		var param = {"econtract_no" : bankcode};
		service.queryProtocolList(param,function(data){
			$(_pageId+" #protocolName").html("");
			if(data.error_no == 0)
			{
				if(data.results&&data.results.length>=1)
				{
					protocol = data.results[0];
					$(_pageId+" #protocolName").html("《"+protocol.econtract_name+"》");
					$(_pageId+" #protocolName").attr("protocolId",protocol.econtract_no);
					$(_pageId+" #protocolName").attr("protocolMd5",protocol.econtract_md5);
					// 预绑定查看银行协议内容的事件
					appUtils.preBindEvent($(_pageId+" #protocolName").parent(),"#protocolName",function(){
						if(!$(_pageId+"  #bankcardPwd").val())
						{
							$(_pageId+"  #bankcardPwd").val("");
						}
						appUtils.setSStorageInfo("bankPwd",$(_pageId+"  #bankcardPwd").val().trim(),true);
						appUtils.setSStorageInfo("bankNum",$(_pageId+" #bankcard").val());
						appUtils.pageInit("account/thirdDepository","account/showProtocol",{"protocol_id":$(_pageId+" #protocolName").attr("protocolId")});
					});
				}
			}
			else
			{
				layerUtils.iAlert(data.error_info,-1);
			}
		});
	}

	/* 清理界面元素 */
	function cleanPageElement()
	{
		//清理页面元素
//		$(_pageId+" #input_text_bankcard_keyboard em").html("请输入银行卡号");  // 卡号清理
//		$(_pageId+" #input_text_pass").attr("data-password","");  // 密码清理
//		$(_pageId+" #input_text_pass1_keyboard em").html("请输入6位数字交易密码");  // 密码清理

		//$(_pageId+" .rule_check a").removeClass("checked");  // 取消勾选协议
		$(_pageId+" #selectBank").text("请选择银行");  // 清理银行卡的名字
        $(_pageId+" #bankcard").val("");  // 清理银行卡号
        $(_pageId+" #bankcardPwd").val("");  // 清理密码
		$(_pageId+" #protocolName").text("《券商银行投资者三方协议》");  // 清理协议名
		$(_pageId+" #signInfo").html("");  // 清除银行签约信息
	}

	var thirdDepository = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};

	// 暴露对外的接口
	module.exports = thirdDepository;
});
