/**
 * 开|转|理财户结果
 */
define(function(require,exports,module){
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
		  gconfig = require("gconfig"),
		  layerUtils = require("layerUtils"),
		  global = gconfig.global,
		  service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		  acc_flag = 0;
		  _pageId = "#account_accountResult";
		  
	var external = require("external");
		  
   var channelInfo = global.channelInfo;
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		initPage();
	
	}
	
	function bindPageEvent()
	{
		/*绑定右上角退出事件*/
		appUtils.bindEvent($(_pageId+" .header .btn-close"),function(){
			
				var param = {
		 				"moduleName":"open",
		 				"funcNo":"50114",
		 				"params":{
		 				}
		 			};
				require("external").callMessage(param);
			
		});
		
		/* 查看营业部信息 */
		appUtils.bindEvent($(_pageId+" #branchInfo"),function(){
			var param = {
				"funcNo":"",
				"url" : "http://www.ebscn.com/main/hall/outlets/index.shtml?isLink#fastSearch"
			};
			if(gconfig.platform == "2" || gconfig.platform=="1"){
				param.funcNo = "50109";
				param.moduleName = "main";
			}
			var result = external.callMessage(param);
		});

		appUtils.bindEvent($(_pageId+" .share_btn a"),function(){
			var param = {
					"funcNo":"60009",
					"url" : global.linkurl
				};
				if(gconfig.platform == "2" || gconfig.platform=="1"){
					param.funcNo = "50115";
					param.moduleName = "main";
				}
				var result = external.callMessage(param);
		});

		appUtils.bindEvent($(_pageId+" .jyg"),function(){
				var param = {
						"funcNo":"",
						"url" : "http://222.73.111.110/guangda/download/ydzq/ioszz/gdzq_AppLoad/index.html"
				};
				if(gconfig.platform == "2" || gconfig.platform=="1"){
					param.funcNo = "50109";
					param.moduleName = "main";
					var result = external.callMessage(param);
				}else{
					location.href = param.url;
				}
		});

		appUtils.bindEvent($(_pageId+" .fz"),function(){
				var param = {
						"funcNo":"",
						"url" : "https://e.ebscn.com/fortune/views/zsfz_download.html"
				};
				if(gconfig.platform == "2" || gconfig.platform=="1"){
					param.funcNo = "50109";
					param.moduleName = "main";
					var result = external.callMessage(param);
				}else{
					location.href = param.url;
				}
		});
	}
	
	function destroy()
	{
		$(_pageId+" order_succes p:eq(3)").html("");
		$(_pageId+" .order_succes p:eq(2)").html("");
		$(_pageId+" #gdzh").html("");
		$(_pageId+" .commission").hide();
//		if(acc_flag === 0){
			appUtils.clearSStorage();  // 清空所有的session
//		}
	}
	
    /* 初始化页面 */	
	function initPage()
	{
		//工商银行提示
		if(channelInfo == "9" || channelInfo == "6" ){
			
			if(channelInfo == "6"){
				$(_pageId+" .share_btn:eq(0)").hide();
				$(_pageId+" .share_btn:eq(1)").show();
			}else{
				$(_pageId+" .share_btn:eq(1)").hide();
				$(_pageId+" .share_btn:eq(0)").show();
			}
		}else{
			$(_pageId+" .share_btn:eq(1)").hide();
			$(_pageId+" .share_btn:eq(0)").show();
		}
		
		
		if(appUtils.getSStorageInfo("openChannel") == "change")
		{
			// 理财户
			if(appUtils.getSStorageInfo("finance") == "finance")  
			{
				$(_pageId+" .header h3").html("开户结果");
				$(_pageId+" .order_succes h3:eq(0)").text("开户申请成功！");
				$(_pageId+" .order_succes p:eq(0)").show();
			}
			// 转户
			else 
			{
				$(_pageId+" .header h3").html("开户结果");
				$(_pageId+" .order_succes h3:eq(0)").text("开户申请成功！");
				$(_pageId+" .order_succes p:eq(0)").show();
			}
		}
		// 新开户
		else  
		{
			$(_pageId+" .header h3").html("开户结果");
			$(_pageId+" .order_succes h3:eq(0)").text("开户申请成功！");
			$(_pageId+" .order_succes p:eq(0)").show();
		}
		// 驳回后重新提交
		if(appUtils.getSStorageInfo("isBack") == "backInfo")
		{
			$(_pageId+" .header h3").html("开户进度");
			$(_pageId+" .order_succes h3:eq(0)").text("重新提交资料成功！");
			$(_pageId+" .order_succes p:eq(0)").show();
		}
		queryBranchInfo(); 
	}
	
	/*查询营业部信息*/
	function queryBranchInfo(){
		var param = {"branchno" : appUtils.getSStorageInfo("branchno")};
		service.queryBranchInfoById(param, function(data){
			if(data.error_no == 0){
				$(_pageId+" .branchName").html(data.results[0].branchname);
				$(_pageId+" .branchAddress").html(data.results[0].address);
				
				//如果不存在营业部电话就隐藏
				if(data.results[0].phone){
					$(_pageId+" .branchMobile").html(data.results[0].phone);
					$(_pageId+" .yyb_phone").show();
				}else{
					$(_pageId+" .branchMobile").html("---");
					$(_pageId+" .yyb_phone").hide();
				}
				//如果不存在佣金就隐藏
				if(data.results[0].yjmoney){
					$(_pageId+" .branchcommission").html(data.results[0].yjmoney);
					$(_pageId+" .commission").show();
				}else{
					$(_pageId+" .branchcommission").html("---");
					$(_pageId+" .commission").hide();
				}
				queryAccount();// 查询用户信息
				TheisEndwayUser55555();
			}else{
				layerUtils.iLoading(false);
				layerUtils.iMsg(-1, data.error_info);
			}
		},{"isLastReq":false});
	}
	function TheisEndwayUser55555(){
		var param = {
 				"sourceModuleName":"open",
 				"funcNo":"55555",
 				"params":{
 					"open_state":"2",//1开户中，2开户结束50101
 					"mobile":$(_pageId+" .branchMobile").val()
 				}
 			};
			require("external").callMessage(param);
	}
	/* 查询用户信息 */
	function queryAccount()
	{
		var param = {"user_id" : appUtils.getSStorageInfo("user_id")};
		service.queryUserInfo(param, function(data){
			var error_no = data.error_no;
			var error_info = data.error_info;
			if(error_no == 0)
			{
				var res = data.results[0];
				appUtils.setSStorageInfo("fund_account",res.fund_account);  // 资金账号
				appUtils.setSStorageInfo("shfund_select",res.shfund_select);  // 沪基金状态
				appUtils.setSStorageInfo("szfund_select",res.szfund_select); // 深基金状态 
				appUtils.setSStorageInfo("szaselect",res.szaselect); // 深A状态
				appUtils.setSStorageInfo("shaselect",res.shaselect); // 沪A状态
				appUtils.setSStorageInfo("szaaccount",res.szaaccount); // 深A账号
				appUtils.setSStorageInfo("shaaccount",res.shaaccount); // 沪A账号
				appUtils.setSStorageInfo("szfund_account",res.zacn_account); // 深基金账号
				appUtils.setSStorageInfo("shfund_account",res.hacn_account); //沪基金账号
				
				appUtils.setSStorageInfo("hacnselect",res.hacnselect); // 沪基金账户 判断是否选择
				appUtils.setSStorageInfo("zacnselect",res.zacnselect); // 深基金账户
				appUtils.setSStorageInfo("hacn_account",res.hacn_account); // 沪基金账户
				appUtils.setSStorageInfo("zacn_account",res.zacn_account); // 深基金账户
				showOpenAccount();  // 显示开户结果
			}
			else
			{
				layerUtils.iMsg(-1, error_info);
			}
		});
	}
	
	/* 显示新开户结果 */
	function showOpenAccount()
	{
		// 从 session 中取资金账号和股东账号
		var shaselect = appUtils.getSStorageInfo("shaselect"),  // 是否选择沪A
			  szaselect = appUtils.getSStorageInfo("szaselect"),  // 是否选择深A
			  shfund_select = appUtils.getSStorageInfo("shfund_select"),  // 是否选择沪基金
			  szfund_select = appUtils.getSStorageInfo("szfund_select"),  // 是否选择深基金
		      fund_account = appUtils.getSStorageInfo("fund_account"),  // 资金账号
			  shaaccount = appUtils.getSStorageInfo("shaaccount"), // 沪A股东账户
			  szaaccount = appUtils.getSStorageInfo("szaaccount"),  // 深A股东账户
			  shfund_account = appUtils.getSStorageInfo("shfund_account"),  // 沪基金账户
			  szfund_account = appUtils.getSStorageInfo("szfund_account"); // 深基金账户
		
			hacnselect = appUtils.getSStorageInfo("hacnselect"); // 沪基金账户  判断是否选择
			zacnselect = appUtils.getSStorageInfo("zacnselect"); // 深基金账户
			hacn_account = appUtils.getSStorageInfo("hacn_account"); // 沪基金账户
			zacn_account = appUtils.getSStorageInfo("zacn_account"); // 深基金账户
		// 判断资金账户是否开出
		if(fund_account)
		{
			//设置按钮显示提示文字
			if(appUtils.getSStorageInfo("openChannel") == "change")
			{
				if(appUtils.getSStorageInfo("finance") == "finance")
				{
					$(_pageId+" .order_succes h3:eq(0)").text("恭喜开户成功！");
				}
				else
				{
					$(_pageId+" .order_succes h3:eq(0)").text("恭喜开户成功！");
				}
			}
			else
			{
				$(_pageId+" .order_succes h3").text("恭喜开户成功！");
			}
			// 显示资金账户、股东账号的信息
			$(_pageId+" #zjzh").html("&nbsp;&nbsp;"+fund_account);
		}
		else
		{
			$(_pageId+" .order_succes p:eq(0)").show();
			$(_pageId+" #zjzh").html("办理中...");
		}
	}
	
	var accountResult = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = accountResult;
});