/**
 * 设置密码
 */
define(function(require, exports, module){ 
	/* 私有业务模块的全局变量 begin */
	var appUtils = require("appUtils"),
	    service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		global = require("gconfig").global,
		validatorUtil = require("validatorUtil"),
		layerUtils = require("layerUtils"),
		utils = require("utils"),		
		gconfig = require("gconfig"),
		platform = require("gconfig").platform,
		protocol = null,  //保存协议
		KeyPanel = require('keyPanel'),
		cert_type = appUtils.getSStorageInfo("openChannel") == "new" ? "zd" : "zd", // tw:天威 zd:中登
		_pageId = "#account_setPwd";
	//var isClosed = true;//键盘是否关闭
	var external = require("external");
	/* 私有业务模块的全局变量 end */
	
	function init()
	{
		//myKeyPanel = new KeyPanel();
		//isClosed = true;
		$(_pageId).focus(); //清除三方存管的放大镜问题
		//加载样式
		//$(_pageId+" .input_custom").click(function(){$(this).addClass("active")});
		$(_pageId+" .page").height($(window).height());
//		$(_pageId+" .user_form").height($(window).height()-45-54).css({overflow:"auto"});
		initPage();  // 初始化页面
	}
	
	function bindPageEvent()
	{
		/*绑定右上角退出事件*/
		appUtils.bindEvent($(_pageId+" .header .btn-close"),function(){
			layerUtils.iConfirm("只需三分钟就能搞定网上开户,确定离开吗?",function(){
				var param = {
		 				"moduleName":"open",
		 				"funcNo":"50114",
		 				"params":{
		 				}
		 			};
				require("external").callMessage(param);
			},function(){},"离开","继续开户");
		});
		
		/* 点击页面隐藏键盘 */
		appUtils.bindEvent($(_pageId), function(e) {
			// 关闭密码键盘
			var param = {
				"funcNo" : "50211",
				"moduleName" : "open"
			};
			external.callMessage(param);
			$(_pageId + " .user_form").find(".cusor").prev().show();
			$(_pageId + " .user_form").find(".cusor").hide();
			if ($(_pageId + " #pass1").val() != "") {
				validatePassword($(_pageId + " #pass1"));
			}
			if ($(_pageId + " #pass3").val() != "") {
				validatePassword($(_pageId + " #pass3"));
			}
			if ($(_pageId + " #pass1").val() != ""
					&& $(_pageId + " #pass2").val() != "") {
				validateSecondPassword($(_pageId + " #pass2"), "1");
			}
			if ($(_pageId + " #pass3").val() != ""
					&& $(_pageId + " #pass4").val() != "") {
				validateSecondPassword($(_pageId + " #pass4"), "2");
			}
			var hg = $(window).height();
			$(_pageId).css("height", hg + "px");

			e.stopPropagation(); // 阻止冒泡
		});
		
		/* 返回键 */
		appUtils.bindEvent($(_pageId+" .icon_back"),function(e){
			appUtils.pageInit("account/setPwd","account/signProtocol");
			e.stopPropagation();	// 阻止冒泡
		});
		
		/* 是否设置资金密码与交易密码一致（隐藏显示）*/
		appUtils.bindEvent($(_pageId+" .mt15 .icon_check:eq(0)"),function(){
			$(_pageId+" .user_form h5:not(0)").toggle();
			$(_pageId+" .user_form .circular:eq(1)").toggle();
			$(_pageId+" .user_form .mt10").toggle();
			$(_pageId+" #checkprotocol").toggle();
			$(_pageId+" .l_link").toggle();
			$(this).toggleClass("checked");
		});
		
		/* 勾选协议按钮 */
		appUtils.bindEvent($(_pageId+" #checkprotocol .icon_check:eq(0)"),function(){
			$(this).toggleClass("checked");
		});
		
		/* 点击密码框统一调用密码键盘 ------交易密码，资金密码，证书密码 */
		/* 点击密码框统一调用密码键盘 */
		appUtils.bindEvent($(_pageId + " .user_form input"), function(e) {
			utils.dealIPhoneMaxLength(this, 6); // 处理iphone兼容
			$(_pageId + " .user_form").find(".cusor").prev().show();
			$(_pageId + " .user_form").find(".cusor").hide();
			var _sel = $(this);
			window.customKeyboardEvent = {
				keyBoardFinishFunction : function() {
					$(_sel).parent().next().hide();
					$(_sel).parent().show();
					// $(_sel).blur();
					if ($(_sel).attr("id") == "pass1"
							|| $(_sel).attr("id") == "pass3") {
						validatePassword($(_sel));
					} else if ($(_sel).attr("id") == "pass2") {
						validateSecondPassword($(_sel), "1");
					} else if ($(_sel).attr("id") == "pass4") {
						validateSecondPassword($(_sel), "2");
					}
					var hg = $(window).height();
					$(_pageId).css("height", hg + "px");
					// console.log("liuting"+$(this).val(s));
				},
				// 原生键盘回调
				keyBoardInputFunction : function(keyCode) {
					if (keyCode == "-4") {
						$(_sel).parent().next().hide();
						$(_sel).parent().show();
						// $(_sel).blur();
						var hg = $(window).height();
						$(_pageId).css("height", hg + "px");
					} else {
						var i = $(_sel).val().length;
						$(_sel).parent().next().find("em").html(
								"••••••".substring(0, i));

					}

				}
			};
			var hg = $(window).height() + 240;
			$(_pageId).css("height", hg + "px");
			var param = {
				"funcNo" : "50210",
				"moduleName" : "open",
				"pageId" : "account_setPwd",
				"eleId" : $(this).attr("id"),
				"doneLable" : "完成",
				"keyboardType" : "3"
			};
			external.callMessage(param); // 调原生键盘
			$(this).parent().hide();
			$(this).parent().next().show();
			$(this).parent().next().find(".sim_text").addClass("active");

			e.stopPropagation(); // 阻止冒泡
		});	
		
		/* 密码框绑定失去焦点事件 */
		appUtils.bindEvent($(_pageId+" #pass1"),function(){
			if($(this).val().trim().length>=6){
				validatePassword($(this));				
			}
		},"blur");

		appUtils.bindEvent($(_pageId+" #pass3"),function(){
			if($(this).val().trim().length>=6){
				validatePassword($(this));
			}			
		},"blur");

		/* 密码框绑定检验二次密码是否匹配事件 */
		appUtils.bindEvent($(_pageId+" #pass2"),function(){
//			validatePassword($(this));
			if($(this).val().trim().length>=6){
				validateSecondPassword($(this),"1");				
			}			
		},"blur");

		appUtils.bindEvent($(_pageId+" #pass4"),function(){
//			validatePassword($(this));
			if($(this).val().trim().length>=6){
				validateSecondPassword($(this),"2");				
			}			
		},"blur");		
		
		/* 点击密码框统一调用密码键盘 ------交易密码，资金密码，证书密码 */
//		appUtils.bindEvent($(_pageId+" #input_text_pass1,"+_pageId+" #input_text_pass2,"+_pageId+" #input_text_pass3,"+_pageId+" #input_text_pass4"),function(e){
//		// console.log($(this).attr("value") + "当前操作：" +
//		// e.originalEvent.detail["optType"] + "，当前输入值：" +
//		// e.originalEvent.detail["curValue"]);
//			var keyboard = $(this);
//			var keyboard_id = keyboard.attr("id");
//			var keyboard_value = keyboard.attr("value");
//			if(keyboard_value.length>=6){
//				switch(keyboard_id){
//					case "input_text_pass1":;
//						validatePassword(keyboard);
//					break;
//					case "input_text_pass3":;
//						validatePassword(keyboard);
//					break;
//					case "input_text_pass2":;
//						validateSecondPassword(keyboard,1);
//					break;
//					case "input_text_pass4":;
//						validateSecondPassword(keyboard,2);
//					break;
//				}
//			}
//			e.stopPropagation();
//		},"input");
		
		/* 继续开户 */
		appUtils.bindEvent($(_pageId+" .ct_btn"),function(){
			if(validatePost())
			{
					postPassword();  // 不需要签署协议，直接提交密码
			}
		});
	}
	
	function destroy()
	{	
		cleanPageElement();
		service.destroy();
//		if(!isClosed){
//			myKeyPanel.close();// 关闭 js 键盘
//		}
	}
	
	/* 页面初始化 */
	function initPage()
	{
		if(platform == '2' || platform == '3'){
			$(_pageId+" .input_text input").removeAttr("readonly");
		}
		layerUtils.iLoading(false);  // 关闭等待层。。。
		cleanPageElement();  // 清理页面元素
		//密码键盘不是从底部弹出问题
		$(_pageId+" .main").css({"height":(gconfig.appHeight)+"px","position":"relative","overflow-y":"auto"});
	}
	
	/* 清理界面元素 */
	function cleanPageElement()
	{
		/*//清除密码
		$(_pageId+" #input_text_pass1").attr("value",""); 
		$(_pageId+" #input_text_pass2").attr("value",""); 
		$(_pageId+" #input_text_pass3").attr("value",""); 
		$(_pageId+" #input_text_pass4").attr("value",""); 
		
		$(_pageId+" #input_text_pass1 em").html("请输入6位数字交易密码");
		$(_pageId+" #input_text_pass2 em").html("请再次输入交易密码");
		$(_pageId+" #input_text_pass3 em").html("请输入6位数字资金密码");
		$(_pageId+" #input_text_pass4 em").html("请再次输入资金密码");
		*/
		
		$(_pageId+" .input_text input").val(""); // 清理所有的密码框
		$(_pageId+" .user_form .cusor").find("em").html("");
		//$(_pageId+" .input_form:eq(1)").hide();
		//$(_pageId+" .user_form h5:eq(1)").hide();
		$(_pageId+" .user_form .mt10").show();
		
		// $(_pageId+" .mt15 .icon_check:eq(0)").addClass("checked");
		// //默认选中
		// $(_pageId+" .input_text").attr("value","");// 清理所有的密码框
		// $(_pageId+" .input_form:eq(1)").hide();
		// $(_pageId+" .user_form h5:eq(1)").hide();
		// $(_pageId+" .user_form .mt10").show();
		// $(_pageId+" .mt15 .icon_check:eq(0)").addClass("checked"); //默认选中
	}
	
	
	/* 密码提交时校验 */
	function validatePost()
	{
		var pass1 = $(_pageId+" #pass1").val().trim();
		var pass2 = $(_pageId+" #pass2").val().trim();
		var pass3 = $(_pageId+" #pass3").val().trim();
		var pass4 = $(_pageId+" #pass4").val().trim();
		if($(_pageId+" .mt15 .icon_check:eq(0)").hasClass("checked"))
		{
			if(validatorUtil.isEmpty(pass1)||validatorUtil.isEmpty(pass2))
			{
				layerUtils.iMsg(-1,"请完成密码设置!");
				return false;	
			}
		}
		else
		{
			if((validatorUtil.isEmpty(pass1)||validatorUtil.isEmpty(pass2))&&(validatorUtil.isEmpty(pass3)||validatorUtil.isEmpty(pass4)))
			{
				layerUtils.iMsg(-1,"请完成密码设置!");
				return false;	
			}
			else if(validatorUtil.isEmpty(pass1)||validatorUtil.isEmpty(pass2))
			{
				layerUtils.iMsg(-1,"请完成交易密码设置!");
				return false;	
			}
			else if(validatorUtil.isEmpty(pass3)||validatorUtil.isEmpty(pass4))
			{
				layerUtils.iMsg(-1,"请完成资金密码设置!");
				return false;	
			}
		}
		if(pass1.length!="0")
		{   var flag =  validatePassword($(_pageId+" #pass1"));
			//layerUtils.iMsg(-1,"请输入6位数字交易密码，请重新输入!");
			if(!flag){
				return flag;
			}
		}
		if(pass1.length=="6" && pass1!=pass2)
		{
			layerUtils.iMsg(-1,"交易密码与第一次不符，请重新输入!");
			$(_pageId+" #pass2").val("");
			$(_pageId+" #pass2").parent().next().find("em").html("");
			return false;
		}
		if(!$(_pageId+" .mt15 .icon_check:eq(0)").hasClass("checked"))
		{
			if(pass3.length!="0")
			{
			    var flag = validatePassword($(_pageId+" #pass3"));
				//layerUtils.iMsg(-1,"请输入6位数字资金密码，请重新输入!");
				if(!flag){
			      return flag;
		       }
			}
			 if(pass3.length=="6" && pass3 != pass4)
			{
				layerUtils.iMsg(-1,"资金密码与第一次不符，请重新输入!");
				$(_pageId+" #pass4").val("");
				$(_pageId+" #pass2").parent().next().find("em").html("");
				return false;
			}
		}
		else
		{
			$(_pageId+" #pass3").val(pass1);
			$(_pageId+" #pass4").val(pass1);
	/*		if(!$(_pageId+" #checkprotocol .icon_check").hasClass("checked"))
			{
				layerUtils.iMsg(-1,"请阅读并同意上述协议!");
				return false;
			}*/
		}
		return true;
	}
	

		/* 验证密码 6位数字 */
	function validatePassword(obj) {

		var password = obj.val().trim();
		if (!validatorUtil.isNumeric(password) || password.length != 6) {
			layerUtils.iMsg(-1, "请输入6位数字密码");
			obj.val("");
			obj.parent().next().find("em").html("");
			return false;
		}
		if (password.length == 6) {
			/**
			 * 增加弱密校验 1、出生日期的一部分 2、证件号码的一部分 3、某一字符出现的概率不能占总长度的一半以上 4、顺序递增或者递减
			 * 5、弱密表的控制值 6、移动电话的一部分 7、固定电话的一部分
			 */
			var idCardNo = appUtils.getSStorageInfo("idCardNo") ? appUtils
					.getSStorageInfo("idCardNo") : "", mobileNo = appUtils
					.getSStorageInfo("mobileNo") ? appUtils
					.getSStorageInfo("mobileNo") : "";
			// 判断是不是出生日期的一部分
			if (password == idCardNo.substring(6, 12)
					|| password == idCardNo.substring(8, 14)) {
				layerUtils.iAlert("密码不能是出生日期的一部分！", -1);
				// 将密码清除
				obj.val("");
				obj.parent().next().find("em").html("");
				return false;
			}
			// 判断是不是证件号码的一部分
			if (idCardNo.indexOf(password) != -1) {
				layerUtils.iAlert("密码不能是证件号码的一部分！", -1);
				// 将密码清除
				obj.val("");
				obj.parent().next().find("em").html("");
				return false;
			}
			// 判断某一字符出现的次数
			for (var i = 0; i < password.length; i++) {
				var oneChar = password.charAt(i), count = 0;
				var firstPosition = 0;
				for (var j = 0; j < password.length; j++) {
					if (oneChar == password.charAt(j)) {
						count++;
					}
				}
				if (count >= 3) {
					layerUtils.iAlert("密码中&nbsp;" + oneChar
							+ "&nbsp;出现的次数超过了三次！", -1);
					// 将密码清除
					obj.val("");
					obj.parent().next().find("em").html("");
					return false;
				}

			}
			// 判断顺序递增或者递减
			var orderArray = [ 012345, 123456, 234567, 345678, 456789, 987654,
					876543, 765432, 654321, 543210 ];
			if (orderArray.indexOf(password) != -1) {
				layerUtils.iAlert("密码不能是顺序递增或者递减！", -1);
				// 将密码清除
				obj.val("");
				obj.parent().next().find("em").html("");
				return false;
			}
			// 判断弱密码库
			var weakpwdArr = [ '111111', '222222', '333333', '444444',
					'555555', '666666', '777777', '888888', '999999', '101010',
					'202020', '303030', '404040', '505050', '606060', '707070',
					'808080', '909090', '101010', '121212', '131313', '141414',
					'151515', '161616', '171717', '181818', '191919', '202020',
					'212121', '232323', '242424', '252525', '262626', '272727',
					'282828', '292929', '303030', '313131', '323232', '343434',
					'353535', '363636', '373737', '383838', '393939', '404040',
					'414141', '424242', '434343', '454545', '464646', '474747',
					'484848', '494949', '505050', '515151', '525252', '535353',
					'545454', '565656', '575757', '585858', '595959', '606060',
					'616161', '626262', '636363', '646464', '656565', '676767',
					'686868', '696969', '707070', '717171', '727272', '737373',
					'747474', '757575', '767676', '787878', '797979', '808080',
					'818181', '828282', '838383', '848484', '858585', '868686',
					'878787', '898989', '909090', '919191', '929292', '939393',
					'949494', '959595', '969696', '979797', '989898', '123412',
					'234523', '345634', '456745', '567856', '678967', '123012',
					'123123', '234234', '345345', '456456', '567567', '678678',
					'789789', '112233', '111222', '123412', '123443', '234567',
					'123456', '876543', '111122', '222233', '333344', '444455',
					'555566', '666677', '777788', '888899', '999900', '111111',
					'111122', '111133', '111144', '111155', '111166', '111177',
					'111188', '111199', '111100' ];
			if (weakpwdArr.indexOf(password) != -1) {
				layerUtils.iAlert("请勿输入简单组合的密码！", -1);
				// 将密码清除
				obj.val("");
				obj.parent().next().find("em").html("");
				return false;
			}
			// 判断是否是移动电话的一部分
			if (mobileNo.indexOf(password) != -1) {
				layerUtils.iAlert("密码不能是移动电话的一部分！", -1);
				// 将密码清除
				obj.val("");
				obj.parent().next().find("em").html("");
				return false;
			}

		} else {
			layerUtils.iMsg(-1, "数字交易密码最多6位！");
			return false;
		}
		
		return true;
	}
	
	/* 验证二次输入密码是否相同 */
	function validateSecondPassword(obj, i) {
		var password = obj.val().trim();
		password = password.toString();
		if (password.length == 6) {
			if (i == "1")// 交易密码
			{
				var pass1 = $(_pageId + " #pass1").val().trim();
				var pass2 = $(_pageId + " #pass2").val().trim();
				if (pass1.length != 6) {
					layerUtils.iMsg(-1, "请输入6位数字交易密码，请重新输入!");
					$(_pageId + " #pass1").val("");
					$(_pageId + " #pass1").parent().next().find("em").html("");
				} else if (pass1 != pass2 && pass2 != "") {
					layerUtils.iMsg(-1, "交易密码与第一次不符，请重新输入!");
					$(_pageId + " #pass2").val("");
					$(_pageId + " #pass2").parent().next().find("em").html("");
				}
			} else { // 资金密码
				var pass3 = $(_pageId+" #pass3").val().trim();
				var pass4 = $(_pageId+" #pass4").val().trim();
				if (pass3.length != 6) {
					layerUtils.iMsg(-1, "请输入6位数字资金密码，请重新输入!");
					$(_pageId + " #pass3").val("");
					$(_pageId + " #pass3").parent().next().find("em").html("");
				} else if (pass3 != pass4 && pass4 != "") {
					layerUtils.iMsg(-1, "资金密码与第一次不符，请重新输入!");
					$(_pageId + " #pass4").val("");
					$(_pageId + " #pass4").parent().next().find("em").html("");
				}
			}
			// $(_pageId+" .input_custom").removeClass("active"); // 移除输入框的焦点
			// if(!isClosed){
			// myKeyPanel.close();// 关闭 js 键盘
			// }
		}
	}
	
 
	/**
	 * 提交交易密码，资金密码 两次单独请求
	 * 第一次提交设置交易密码 若失败 直接返回；若成功则锁定交易密码设置
	 * 第二次提交设置资金密码 若失败 程序停止，交易密码设置锁定；
	 * pwd_type 1:资金密码 2:交易密码
	 */
	function postPassword()
	{
		service.getRSAKey({}, function(data) {
			if( data.error_no==0)	//请求获取rsa公钥成功
			{
				//密码采用rsa加密
				var results = data.results[0];
				var modulus = results.modulus;
				var publicExponent =  results.publicExponent;
				var endecryptUtils = require("endecryptUtils");
				
				var tpassword = endecryptUtils.rsaEncrypt(modulus, publicExponent,$(_pageId+" #pass1").val().trim());  //交易密码
				var fpassword = endecryptUtils.rsaEncrypt(modulus, publicExponent, $(_pageId+" #pass3").val().trim());  //资金密码
				var userid = appUtils.getSStorageInfo("user_id");
				var is_same = $(_pageId+" .mt15 .icon_check:eq(0)").hasClass("checked") ? 1 : 0;  // 判断资金密码和交易密码是否一致
				var tradePasswordParam = {"user_id":userid,"acct_clientid":"","password":tpassword,"pwd_type":"2","is_same":is_same};
				var fundPasswordParam  = {"user_id":userid,"acct_clientid":"","password":fpassword,"pwd_type":"1","is_same":is_same};
				service.setAccountPwd(tradePasswordParam, function(data){
					var errorNo   = data.error_no;
					var errorInfo = data.error_info;
					if(errorNo==0)	//交易密码设置成功，锁定交易密码设置框
					{
//						$(_pageId+" #pass1").attr("readonly","readonly"); //锁定密码框
//						$(_pageId+" #pass2").attr("readonly","readonly");
						//第二次调用接口，提交资金密码
						service.setAccountPwd(fundPasswordParam, function(data){
							if( data.error_no==0)	//交易密码设置成功，锁定交易密码设置框
							{
//								$(_pageId+" #pass3").attr("readonly","readonly");
//								$(_pageId+" #pass4").attr("readonly","readonly");
								appUtils.pageInit("account/setPwd","account/thirdDepository",{});
							}
							else
							{
								layerUtils.iLoading(false);
								layerUtils.iAlert(data.error_info);
							}
						},false);
					}
					else
					{
						layerUtils.iLoading(false);
						layerUtils.iAlert(errorInfo);
						return false;
					}
				},false);
			}
			else
			{
				layerUtils.iLoading(false);
				layerUtils.iAlert(data.error_info);
			}
		}, false);
	}
	
	var setPwd = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	// 暴露对外的接口
	module.exports = setPwd;
});
