/**
* 查看协议
*/
define(function(require,exports,module){
	var appUtils = require("appUtils"),
		global = require("gconfig").global,
		service = require("serviceImp").getInstance(),  //业务层接口，请求数据
		_pageId = "#business_showOperation";
	
	function init(){
		// 清除原有数据
		$(_pageId+" .top_title p:eq(0)").text("");
	}
	function bindPageEvent(){
		
		// 绑定返回
		appUtils.bindEvent($(_pageId+" .header .icon_back"),function(){
//			appUtils.pageInit("account/showProtocol","account/thirdDepository");
			appUtils.pageBack();
		});
		
		// 绑定继续开户
		appUtils.bindEvent($(_pageId+" .ct_btn a"),function(){
//			appUtils.pageInit("account/showProtocol","account/thirdDepository");
			appUtils.pageBack();
		});
	}
	function destroy(){
		// 将协议内容置空
		$(_pageId+" .top_title p:eq(0)").text("");
		service.destroy();
	}
	
	var showOperation = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	
	module.exports = showOperation;
});